summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorHans de Graaff <graaff@gentoo.org>2017-08-17 07:45:02 +0200
committerHans de Graaff <graaff@gentoo.org>2017-08-17 07:45:02 +0200
commit65c2b6c267c0edacb9955bc943657875f51a5d9d (patch)
tree83de45e86c2c7a1734ff870cb890bf3bceb576f7 /dev-ruby/http
parentdev-ruby/jira-ruby: cleanup (diff)
downloadgentoo-65c2b6c267c0edacb9955bc943657875f51a5d9d.tar.gz
gentoo-65c2b6c267c0edacb9955bc943657875f51a5d9d.tar.bz2
gentoo-65c2b6c267c0edacb9955bc943657875f51a5d9d.zip
dev-ruby/http: add ruby24 revision
Package-Manager: Portage-2.3.6, Repoman-2.3.2
Diffstat (limited to 'dev-ruby/http')
-rw-r--r--dev-ruby/http/http-0.9.8-r2.ebuild40
1 files changed, 40 insertions, 0 deletions
diff --git a/dev-ruby/http/http-0.9.8-r2.ebuild b/dev-ruby/http/http-0.9.8-r2.ebuild
new file mode 100644
index 00000000000..c4931ff1e75
--- /dev/null
+++ b/dev-ruby/http/http-0.9.8-r2.ebuild
@@ -0,0 +1,40 @@
+# Copyright 1999-2017 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=5
+USE_RUBY="ruby21 ruby22 ruby23 ruby24"
+
+RUBY_FAKEGEM_RECIPE_TEST="rspec3"
+
+RUBY_FAKEGEM_RECIPE_DOC="rdoc"
+RUBY_FAKEGEM_EXTRADOC="CHANGES.md README.md"
+
+inherit ruby-fakegem
+
+DESCRIPTION="An easy-to-use client library for making requests from Ruby"
+HOMEPAGE="https://github.com/tarcieri/http"
+
+LICENSE="MIT"
+SLOT="0.8"
+KEYWORDS="~amd64 ~arm ~arm64 ~ppc64"
+IUSE=""
+
+ruby_add_rdepend "
+ >=dev-ruby/addressable-2.3
+ >=dev-ruby/http-cookie-1.0
+ >=dev-ruby/http-form_data-1.0.1:1.0
+ >=dev-ruby/http_parser_rb-0.6.0 =dev-ruby/http_parser_rb-0.6*"
+
+ruby_add_bdepend "
+ test? ( dev-ruby/certificate_authority dev-ruby/rspec-its )"
+
+all_ruby_prepare() {
+ sed -i -e '/simplecov/,/end/ s:^:#:' \
+ -e '1irequire "cgi"' spec/spec_helper.rb || die
+
+ # Avoid specs that require network access
+ sed -i -e '/.persistent/,/^ end/ s:^:#:' \
+ spec/lib/http_spec.rb || die
+ sed -i -e '/with non-ASCII URLs/,/^ end/ s:^:#:' \
+ spec/lib/http/client_spec.rb || die
+}